/**
 * 客户端管理 API
 */
import api from './index'

export const clientsApi = {
  // 获取所有客户端
  getClients() {
    return api.get('/clients')
  },

  // 添加客户端
  addClient(clientData) {
    return api.post('/clients', clientData)
  },

  // 更新客户端
  updateClient(clientId, clientData) {
    return api.put(`/clients/${clientId}`, clientData)
  },

  // 删除客户端
  deleteClient(clientId) {
    return api.delete(`/clients/${clientId}`)
  },

  // 测试客户端连接
  testConnection(clientId) {
    return api.post(`/clients/${clientId}/test`)
  }
}
